# Note that this is NOT a relocatable package

%define desktopvfs desktop-vfs-module-0.2

Summary: The GNOME virtual file-system libraries.
Name:           gnome-vfs
Version:        1.0.1
Release:        17
License:        LGPL
Group: System Environment/Libraries
Source:         %{name}-%{version}.tar.gz
Source2:        desktop-vfs-module-0.2.tar.gz
Source3:        gnome-vfs-pofiles.tar.gz
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       glib >= 1.2.4
Requires:       GConf >= 0.9
Requires:       oaf >= 0.3.0
BuildRequires: GConf-devel, oaf-devel, glib-devel, libxml-devel, zlib-devel
BuildRequires: popt, bzip2-devel, ORBit-devel, XFree86-devel, openjade
BuildRequires: gnome-libs-devel, pkgconfig

Patch1:         gnome-vfs-1.0.1-segvfix.patch
Patch2:         gnome-vfs-1.0.1-notrashscan.patch
Patch3:         gnome-vfs-1.0.1-desktop-sniff.patch
Patch4:         gnome-vfs-1.0.1-abiword_mime.patch
Patch5:         gnome-vfs-1.0.1-gimpuris.patch
Patch6:         gnome-vfs-1.0.1-alllinguas.patch

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: Libraries and include files for developing GNOME VFS applications.
Group: Development/Libraries
Requires:   %{name} = %{version}
Requires:   GConf-devel
Requires:   oaf-devel


%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%prep
%setup -q -a 2


## unpack pofiles
tar zxf %{SOURCE3}

# these were corrupt, breaking build
rm -f po/az.po po/nn.po

%patch1 -p1 -b .segvfix
%patch2 -p1 -b .notrashscan
%patch3 -p1 -b .desktop-sniff
%patch4 -p1 -b .abiword
%patch5 -p1 -b .gimpuris
%patch6 -p1 -b .alllinguas

# for alllinguas patch
autoconf

%build
%configure

cd %{desktopvfs}
export CPPFLAGS=-I%{_builddir}/gnome-vfs-%{version}
export LDFLAGS="-L%{_builddir}/gnome-vfs-%{version}/libgnomevfs -L%{buildroot}%{_libdir}"
%configure

cd ..
make

%install
rm -fr %{buildroot}

%makeinstall

cd %{desktopvfs}
%makeinstall

cd $RPM_BUILD_DIR/%{name}-%{version}
%find_lang %name

%clean
rm -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/gnome-vfs-mime-magic
%config(noreplace) %{_sysconfdir}/vfs/modules/*.conf
%dir %{_datadir}/application-registry
%{_libdir}/*.0
%{_libdir}/vfs/extfs/*
%{_libdir}/vfs/modules/*.0
%{_libdir}/vfs/modules/*.so
%{_mandir}/man5/*.5*
%{_datadir}/application-registry/gnome-vfs.applications
%{_datadir}/gnome/html/*.txt
%{_datadir}/mime-info/*.keys
%{_datadir}/mime-info/*.mime

%files devel
%defattr(-, root, root)
%{_includedir}/libgnomevfs
%{_libdir}/vfs/include
%{_libdir}/*.a
%{_libdir}/vfs/modules/*.a
%{_bindir}/gnome-vfs-config
%{_libdir}/*.so
%{_libdir}/*.sh
%{_libdir}/vfs/modules/*.la
%{_libdir}/*.la
%{_includedir}/libdesktopfile


%changelog
* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 20 2001 Havoc Pennington <hp@redhat.com>
- fix #51864 (Gimp can't handle file: URIs)

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Moved gnome-conf and pkgconfig files to the devel package
- Fixes SHOULD-FIX bug #49795

* Mon Aug  6 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-14
- Added a patch that fixed AbiWord mimetype handling.

* Fri Jul 27 2001 Jonathan Blandford <jrb@redhat.com>
- Add .desktop file sniffing

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- don't do the giant trash scan thing; did not play nice
  with NFS.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- fix desktop-file.conf file

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- change some URI scheme names

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add pkgconfig and gnome-libs-devel build reqs.
- Remove dependency on gnome-vfs-devel by doing some
- CPPFLAGS and LDFLAGS magic

* Wed Jul 11 2001 Havoc Pennington <hp@redhat.com>
- add missing directories

* Tue Jul 10 2001 Havoc Pennington <hp@redhat.com>
- fix a segv
- change which dirs the desktop VFS module points to

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- add desktop VFS module hack

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remove Distribution and Vendor
- Make the config files noreplace
- Move .so links to devel subpackage
- langify
- Add BuildRequires
- Don't mess with /etc/ld.so.conf
- Use %%{_tmppath}
- s/Copyright/License/

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.
- clean up spec file some.

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix paths and macros

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
